com.jscape.inet.mft.subsystems.audit.syslog

## Class SyslogServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.subsystems.audit.syslog.SyslogServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class SyslogServiceDescriptor
      extends ServiceDescriptor

  Syslog service descriptor. The service described by this descriptor takes responsibility for logging system events to Syslog server.
  Author:
    Roman Sheshunov
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PORT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyslogServiceDescriptor()` This constructor is used by serialization sybsystem and is not intended to use directly in client code.
    `SyslogServiceDescriptor(java.lang.String host, int port, int facility, java.lang.String processName)` Creates a new Syslog descriptor instance.
    `SyslogServiceDescriptor(SyslogServiceDescriptor that)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `boolean` | `equals(java.lang.Object o)`
    `int` | `getFacilityCode()` Returns the Facility that generated the message.
    `java.lang.String` | `getHost()` Returns Syslog server host.
    `int` | `getPort()` Returns Syslog server port.
    `java.lang.String` | `getProcessName()` Returns the process on the device that generated the message.
    `int` | `hashCode()`
    `void` | `setFacilityCode(int value)` Sets the Facility that generated the message.
    `void` | `setHost(java.lang.String value)` Sets Syslog server host.
    `void` | `setPort(int value)` Sets Syslog server port.
    `void` | `setProcessName(java.lang.String value)` Sets the process on the device that generated the message.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SyslogServiceDescriptor

          public SyslogServiceDescriptor()

      This constructor is used by serialization sybsystem and is not intended to use directly in client code.

    - #### SyslogServiceDescriptor

          public SyslogServiceDescriptor(java.lang.String host,
                                         int port,
                                         int facility,
                                         java.lang.String processName)

      Creates a new Syslog descriptor instance.
      Parameters:
        `host` - the syslog server host
        `port` - the syslog server port
        `facility` - the facility of the message
        `processName` - the process name

    - #### SyslogServiceDescriptor

          public SyslogServiceDescriptor(SyslogServiceDescriptor that)

  - ### Method Detail

    - #### getHost

          public java.lang.String getHost()

      Returns Syslog server host.
      Returns:
        the host

    - #### setHost

          public void setHost(java.lang.String value)

      Sets Syslog server host.
      Parameters:
        `value` - the host

    - #### getPort

          public int getPort()

      Returns Syslog server port.
      Returns:
        the port

    - #### setPort

          public void setPort(int value)

      Sets Syslog server port.
      Parameters:
        `value` - the port

    - #### getFacilityCode

          public int getFacilityCode()

      Returns the Facility that generated the message.
      Returns:
        the facility code

    - #### setFacilityCode

          public void setFacilityCode(int value)

      Sets the Facility that generated the message.
      Parameters:
        `value` - the facility code. Allowed codes [0-23].

    - #### getProcessName

          public java.lang.String getProcessName()

      Returns the process on the device that generated the message.
      Returns:
        the process name

    - #### setProcessName

          public void setProcessName(java.lang.String value)

      Sets the process on the device that generated the message.
      Parameters:
        `value` - the process name. Must not exceed 32 characters.

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2020. All Rights Reserved